function ShowWindow()
{

}
ShowWindow.Open=function(_url,_name,_width,_height,Maximized,FormSizeType){
    var isSizeabled=0;
    if(Maximized==0)
    {
        isSizeabled=3;
    }
    if(FormSizeType==undefined)
    {
        FormSizeType=0;
    }
    window.external.NewChildForm(_name,_name,_url,0,0,_width,_height,1,0,0,isSizeabled,1,Maximized,1,FormSizeType);	
};
ShowWindow.OpenItemForm=function(_url,_name,_width,_height,Maximized,FormSizeType){
    var isSizeabled=0;
    if(Maximized==0)
    {
        isSizeabled=3;
    }
    if(FormSizeType==undefined)
    {
        FormSizeType=0;
    }
    window.external.NewChildForm(_name,_name,_url,0,0,_width,_height,1,0,1,isSizeabled,1,Maximized,0,FormSizeType);	
};
ShowWindow.ShowMoledDialog=function (_url,_name,_width,_height,FormSizeType){
    if(FormSizeType==undefined)
    {
        FormSizeType=0;
    }
    window.external.NewChildForm(_name,_name,_url,0,0,_width,_height,1,1,0,1,1,0,0,FormSizeType);	
};
ShowWindow.ShowModeLessDialog=function (_url,_name,_width,_height,FormSizeType){
    if(FormSizeType==undefined)
    {
        FormSizeType=0;
    }
    window.external.NewChildForm(_name,_name,_url,0,0,_width,_height,1,0,1,1,0,0,0,FormSizeType);	
};
ShowWindow.ShowMessageDialog=function (_url,_name,_width,_height,xP,yP,FormSizeType){
    if(FormSizeType==undefined)
    {
        FormSizeType=0;
    }
    window.external.NewChildForm(_name,_name,_url,xP,yP,_width,_height,0,0,1,1,0,0,0,FormSizeType);	
};
ShowWindow.close=function (){
    window.external.CloseChildForm();
};
/*激活窗体*/
ShowWindow.FlashWindow=function (){
    window.external.FlashWindow();
};
/*关闭页面时进行提示，会让用户进行是或否的选择*/
ShowWindow.setCloseAlert=function(AlertText)
{
    window.external.SetFormCloseQueryText(AlertText);
};
/*展开(1)或收缩(0)主页面*/
ShowWindow.expendWindow=function(isExpend)
{
    window.external.ExpendWindow(isExpend);
};
/*打开往来记录*/
/*
参数说明：
WLID：往来记录ID
CompanyID：客户资料ID
CompanyName：客户名称（简称）
*/
ShowWindow.ShowContract=function(WLID, CompanyID,CompanyName)
{
    window.external.ShowContract(WLID, CompanyID,CompanyName);
};
/*
打开联系人资料
参数说明：
EmployeeID：联系人ID
CompanyID：联系人对应的客户档案ID
CompanyName：客户名称（简称）
*/
ShowWindow.ShowEmployee=function(EmployeeID, CompanyID,CompanyName)
{
    window.external.ShowEmployee(EmployeeID, CompanyID,CompanyName);
};
/*
打开导入excel数据窗体
*/
ShowWindow.ImportExcel=function()
{
    window.external.ImportExcel();
};

ShowWindow.resizeTo=function(x,y){
    window.external.SetFormPosition(-1, -1, x, y);
};
ShowWindow.getFormIdx=function(){
    var formIdx=window.external.GetFormIdx();
    return formIdx;
};
function ShowWindow.opener()
{
}
ShowWindow.opener.document=function(formIdx){
    var obj=window.external.GetDocumentObject(formIdx);
    return obj;
};
ShowWindow.opener.execScript=function(formIdx,CommandName){
    window.external.ExecScript(formIdx,CommandName,'JavaScript');
};
/*===========================================================*/
/*快速录入页面*/
function ShowWindow.FastInput()
{
    
}
/*获取当前电话环境*/
ShowWindow.FastInput.getCurrentPhone=function()
{
    var FastInputObj=new Object();

	FastInputObj.CurLine=0;/*当前通话线路*/
	FastInputObj.CompanyID=0;/*当前通话公司ID*/
	FastInputObj.EmployeeID=0;/*当前通话联系人ID*/
	FastInputObj.sTel='';/*当前通话号码*/
	FastInputObj.bShared=0;/*是否共享*/
	FastInputObj.nRand=0;/*随机号*/
	FastInputObj.BillID=0;/*话单ID*/
	FastInputObj.Province='';/*来电号码归属省份*/
	FastInputObj.City='';/*来电号码归属城市*/
	FastInputObj.CallType=-1;/*CallType:Integer;//通话类型：0=未接，1＝已接，2＝去电*/
	
	window.external.GetFastInputObj(FastInputObj);
	
	return FastInputObj;
};
/*-----------------------------------------------------------*/